Skip to main content

2 minutes walkthrough

OpenSRE runs anywhere from the OS, just follow the steps below:
Coming from Tracer? Welcome. The installer, dashboard, and CLI commands below may still use the Tracer name while the OpenSRE docs transition is underway.
https://mintcdn.com/tracer/qjOJrE6rm6eykCOz/images/logo/tracer/Tracer-Head-Black.png?fit=max&auto=format&n=qjOJrE6rm6eykCOz&q=85&s=b86a4e1eb150f63a684f4652b7c7e2ab

Step 1: Install OpenSRE - Only One Line of Code

curl -sSL https://install.tracer.cloud | sh -s

Step 2: Authenticate with OpenSRE

sudo tracer login
This will open up a browser window to log in to your OpenSRE account.

Step 3: Initialize Pipeline Tracking

sudo tracer init
You will be prompted to configure the pipeline name. Filling this out ensures that each pipeline is uniquely identifiable, customizable, and easy to search later on.
OpenSRE is now tracking your pipeline.
Every run you launch for this pipeline will be automatically monitored.
Note: You will only need to run tracer init again for a new pipeline, not per pipeline run.

Step 4: Launch (y)our pipeline

sudo tracer demo
Alternatively: Run your usual command (Nextflow, Snakemake, WDL, etc.)
OpenSRE works automatically once the agent is active.
Watch your pipeline run in the OpenSRE dashboard.
See all our environment specific guides below: Let’s start monitoring!